#
# spec file for package python-numeric (Version 23.0)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  python python-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl python python-devel rpm

Name:         python-numeric
%define pyver %(python -c 'import sys; print sys.version[:3]')
Summary:      Numerical Extension to Python
Version:      23.0
Release:      126
Source0:      Numeric-%{version}.tar.bz2
License:      BSD
Group:        Development/Libraries/Python
URL:          http://www.pfdubois.com/numpy/
Requires:     python >= %pyver, python < %{pyver}.99
Autoreqprov:  on
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Numerical Python adds a fast, compact, multidimensional array language
facility to Python.



Authors:
--------
    numpy-developers@lists.sourceforge.net

%prep
%setup -n Numeric-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root)
%doc README changes.txt Demo

%changelog -n python-numeric
* Thu Jun 26 2003 - mcihar@suse.cz
- added cleanup to %%install
* Mon Jun 16 2003 - mcihar@suse.cz
- updated to 23.0
- use record-rpm
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Tue Mar 04 2003 - mcihar@suse.cz
- include some documentation and demo
* Wed Oct 30 2002 - mcihar@suse.cz
- updated to version 22.0, major changes:
  * Changed multiarraymodule functions to accept keywords where
  documentation implies  it through the use of optional variables.
  * Added support for unsigned shorts 'w' and unsigned ints 'u'
  * Increased max permissible iterations in SVD for supplied lapack.
  * Recoded RandomArray.randint to try to see if we can work around bug on
  some platforms.
* Mon Aug 12 2002 - vinil@suse.de
- new version: 21.3
* Wed Jan 23 2002 - nadvornik@suse.cz
- new package, version 20.3
